WB58 stretch, не работает rfsniffer

Приветствую

С последней прошивкой для wb5 не работает rfsniffer, ругается:
root@wirenboard-ABAMCBRO:/dev# apt-get install wb-homa-rfsniffer
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wb-homa-rfsniffer : Depends: liblog4cpp5 but it is not installable
E: Unable to correct problems, you have held broken packages.

куда копать?

будет какой-то ответ или откатываться на старую прошивку?

полез смотреть на github, увидел что вы уже правите) жду…

выложил в репозиторий, проверяйте

Приветствую

Прошивка: 201807181620_webupd_wb58_stretch.fit
Вот такая ошибка:

root@wirenboard-ABAMCBRO:~# apt-get install wb-homa-rfsniffer
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following NEW packages will be installed:
wb-homa-rfsniffer
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/111 kB of archives.
After this operation, 341 kB of additional disk space will be used.
dpkg: unrecoverable fatal error, aborting:
unknown group ‘crontab’ in statoverride file
W: No sandbox user ‘_apt’ on the system, can not drop privileges
E: Sub-process /usr/bin/dpkg returned an error code (2)
root@wirenboard-ABAMCBRO:~#

ручная установка немного помогла, но вот что говорит

root@wirenboard-ABAMCBRO:/tmp/out1/usr/bin# ./wb-homa-rfsniff
1532344963 INFO : RFSniffer parameters
1532344963 INFO : || config = ‘’
1532344963 INFO : || bDebug = false
1532344963 INFO : || bDumpAllRegs = false
1532344963 INFO : || bLircPedantic = true
1532344963 INFO : ||
1532344963 INFO : || spiDevice = ‘/dev/spidev32766.0’
1532344963 INFO : || spiSpeed = 500000
1532344963 INFO : || gpioInt = 38
1532344963 INFO : ||
1532344963 INFO : || fixedThresh = 0
1532344963 INFO : || rssi = 0
1532344963 INFO : || bRfmEnable = true
1532344963 INFO : ||
1532344963 INFO : || bCoreTestMod = false
1532344963 INFO : ||
1532344963 INFO : || lircDevice = ‘/dev/lirc0’
1532344963 INFO : ||
1532344963 INFO : || mqttHost = ‘localhost’
1532344963 INFO : ||
1532344963 INFO : || scannerParams = ‘’
1532344963 INFO : ||
1532344963 INFO : || bDumpAllLircStream = false
1532344963 INFO : || bSimultaneouslyDumpStreamAndWork = false
1532344963 INFO : ||
1532344963 INFO : || savePath = ‘.’
1532344963 INFO : || inverted = false
1532344963 ERROR : SPI init failed (probably no such device: /dev/spidev32766.0)
1532344963 INFO : Please contact developers

устройства такого действительно нет.

плохо поставили, плохо запускаете.

попробуйте пожалуйста проблему с dpkg исправить вот так:

sed -i '/crontab/d' /var/lib/dpkg/statoverride

исправился глюк с crontab… пакет встал, веб-интерфейс появился.

но в логе все равно ошибка про отсутствующий spi интерфейс

Ошибка с отсутствующим SPI исправлена в последней версии пакета ядра (буквально несколько минут назад).

Попробуйте сделать

apt-get update; apt-get upgrade

и перезагрузить контроллер.

заработало. спасибо!